[package]
name = "nucleo-l053r8-benches"
version = "0.2.0"
edition = "2024"
authors = ["Christoph J. Scherr <software@cscherr.de>"]
license = "MIT"


[dependencies]
hal = { package = "stm32l0xx-hal", version = "0.10.0", features = [
	"mcu-STM32L053R8Tx", # specifically STM32L053R8T6
	"rt",
] }
cortex-m = { version = "0.7.7", features = ["critical-section-single-core"] }
cortex-m-rt = "0.7.5"
defmt = { version = "1.0.1" }
defmt-rtt = { version = "1.0.0" }
panic-probe = { version = "0.3", features = ["print-defmt"] }
algorithms = { path = "./crates/algorithms" }

[features]
default = ["buildscript"]
buildscript = []          # runs build.rs

[profile.release]
debug = "full" # those are not on the board

[workspace]
members = ["", "crates/algorithms"]
